Bug 968962 - Review Request: nodejs-child-process-close - Make child_process objects emit 'close' events
Review Request: nodejs-child-process-close - Make child_process objects emit ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 968919
  Show dependency treegraph
 
Reported: 2013-05-30 07:30 EDT by T.C. Hollingsworth
Modified: 2013-06-13 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 16:35:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jamielinux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-05-30 07:30:30 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-child-process-close.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-child-process-close-0.1.1-1.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5441321
Description:
This module makes child process objects, (created with spawn, fork, exec or 
execFile) emit the close event in node v0.6 like they do in node v0.8. This 
makes it easier to write code that works correctly on both versions of node.
Comment 1 Jamie Nguyen 2013-05-30 09:08:31 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-child-process-close-0.1.1-1.fc19.noarch.rpm
nodejs-child-process-close.noarch: W: spelling-error %description -l en_US execFile -> exec File, exec-file, execrable
nodejs-child-process-close.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-child-process-close
nodejs-child-process-close.noarch: W: spelling-error %description -l en_US execFile -> exec File, exec-file, execrable
nodejs-child-process-close.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-child-process-close (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-child-process-close:
    nodejs-child-process-close
    npm(child-process-close)



Source checksums
----------------
http://registry.npmjs.org/child-process-close/-/child-process-close-0.1.1.tgz :
  CHECKSUM(SHA256) this package     : b68574f217d23d11cd4a1e5f1f2be17bf93e2bd38940ae6b07c35b69ec8d456a
  CHECKSUM(SHA256) upstream package : b68574f217d23d11cd4a1e5f1f2be17bf93e2bd38940ae6b07c35b69ec8d456a


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/bin/fedora-review -r -n nodejs-child-process-close-0.1.1-1.fc19.src.rpm
Comment 2 Jamie Nguyen 2013-05-30 09:10:37 EDT
Perhaps the description could be amended so that it says 0.8 or greater (since we don't ship 0.8), but otherwise package approved!
Comment 3 T.C. Hollingsworth 2013-05-30 09:14:58 EDT
New Package SCM Request
=======================
Package Name: nodejs-child-process-close
Short Description: Make child_process objects emit 'close' events
Owners: patches jamielinux
Branches: f19 f18 el6
InitialCC:
Comment 4 Jon Ciesla 2013-05-30 09:47:57 EDT
Git done (by process-git-requests).
Comment 5 T.C. Hollingsworth 2013-06-13 16:35:11 EDT
Built for Rawhide:
https://koji.fedoraproject.org/koji/buildinfo?buildID=424111

Note You need to log in before you can comment on or make changes to this bug.